Subject: Re: bug#354: "Added (how many lines, bytes?!) to file.txt"

From: [email-masked]
Date: Sun, 02 Apr 2017 15:09:07 -0400

Paul Eggert <[email-masked]> writes:

> On 04/02/2017 11:40 AM, [email-masked] wrote:
>> I'm not sure what you
>> mean about "idiomatic English" as both versions produce the same text.
>
> The old version says "Added to FOO" whereas the new says "Added N
> characters of `FOO'". The "to" is more idiomatic than the "of".

Oh, huh.  Apparently I didn't actually read the original code.  I must
*really* not like the multi-format string style.  But yes, producing a
correct message is more important.  Here's the fixed code:

  if (!auto_saving && !noninteractive)
    {
      AUTO_STRING (format, NUMBERP (append)
                   ? "Updated %d characters of `%s'"
                   : ! NILP (append)
                   ? "Added %d characters to `%s'"
                   : "Wrote %d characters to `%s'");
      CALLN (Fmessage, format,
             make_number (XINT (end) - XINT (start)),
             visit_file);
    }